
@article{forster2004mcnp,
  title={MCNP™ Version 5},
  author={Forster, R Arthur and Cox, Lawrence J and Barrett, Richard F and Booth, Thomas E and Briesmeister, Judith F and Brown, Forrest B and Bull, Jeffrey S and Geisler, Gregg C and Goorley, John T and Mosteller, Russell D and others},
  journal={Nuclear Instruments and Methods in Physics Research Section B: Beam Interactions with Materials and Atoms},
  volume={213},
  pages={82--86},
  year={2004},
  publisher={Elsevier}
}

@article{li2010development,
  title={Development and Benchmark Validation of a New MC Neutron Transport Code RMC for Reactor Analysis},
  author={Li, Zeguang and Wang, Kan and She, Ding and Liu, Yuxuan and Xu, Qi},
  journal={Transactions of the American Nuclear Society},
  volume={103},
  pages={770--772},
  year={2010},
  publisher={American Nuclear Society, Inc.}
}

@inproceedings{liu_monte_2012,
	title = {A {MONTE} {CARLO} {NEUTRON} {TRANSPORT} {CODE} {FOR} {EIGENVALUE} {CALCULATIONS} {ON} A {DUAL-GPU} {SYSTEM} {AND} {CUDA} {ENVIRONMENT}},
	author = {Liu, Tianyu and Ding, Aiping and Ji, Wei and Xu, X. George and Carothers, Christopher D. and Brown, Forrest B.},
	year = {2012},
	booktitle={PHYSOR},
}

@article{she2013development,
  title={Development of burnup methods and capabilities in Monte Carlo code RMC},
  author={She, Ding and Liu, Yuxuan and Wang, Kan and Yu, Ganglin and Forget, Benoit and Romano, Paul K and Smith, Kord},
  journal={Annals of Nuclear Energy},
  volume={51},
  pages={289--294},
  year={2013},
  publisher={Elsevier}
}

@techreport{marcus2012mcmini,
  title={MCMini: Monte Carlo on GPGPU},
  author={Marcus, Ryan},
  year={2012},
  institution={Los Alamos National Laboratory (LANL)}
}

@mastersthesis{lichenglong,
author={李成龙},
title={基于异构平台的反应堆物理计算加速方法研究},
school={北京: 清华大学工程物理系},
year={2012},
lang = "zh"
}

@article{meuer2001top500,
  title={Top500 supercomputer sites},
  author={Meuer, Hans and Strohmaier, Erich and Dongarra, Jack and Simon, Horst D},
  journal={Proceedings of SC},
  pages={10--16},
  year={2001}
}

@article{jamelot2011high,
  title={High performance 3D neutron transport on petascale and hybrid architectures within Apollo3 code},
  author={Jamelot, E and Dubois, J and Lautard, JJ and Calvin, C and Baudron, AM},
  journal={M\&C 2011},
  pages={8--12},
  year={2011}
}

@article{ding2011evaluation,
  title={EVALUATION OF SPEEDUP OF MONTE CARLO CALCULATIONS OF TWO SIMPLE REACTOR PHYSICS PROBLEMS CODED FOR THE GPU/CUDA ENVIRONMENT},
  author={Ding, Aiping and Liu, Tianyu and Liang, Chao and Ji, Wei and Shephard, Mark S and Xu, X George and Brown, Forrest B},
  journal={M\&C 2011},
  year={2011}
}

@article{gong2011gpu,
  title={GPU accelerated simulations of 3D deterministic particle transport using discrete ordinates method},
  author={Gong, Chunye and Liu, Jie and Chi, Lihua and Huang, Haowei and Fang, Jingyue and Gong, Zhenghu},
  journal={Journal of Computational Physics},
  volume={230},
  number={15},
  pages={6010--6022},
  year={2011},
  publisher={Elsevier}
}

@inproceedings{prayudhatama2010gpu,
  title={GPU Based General-Purpose Parallel computing to Solve Nuclear Reactor In-Core fuel Management Design and Operation Problem},
  author={Prayudhatama, D and Waris, A and Kurniasih, N and Kurniadi, R},
  booktitle={AIP Conference Proceedings},
  volume={1244},
  pages={121},
  year={2010}
}

@inproceedings{kodamastudy,
  title={Study on GPU Computing for SCOPE2 with CUDA},
  author={Kodama, Yasuhiro and Tatsumi, Masahiro and Ohoka, Yasunori},
  booktitle={International Conference on Mathematics and Computational Methods Applied to Nuclear Science and Engineering},
  year={2011}
}

@inproceedings{willert2012hybrid,
  title={Hybrid Deterministic/Monte Carlo Neutronics using GPU Accelerators},
  author={Willert, Jeff and Kelley, CT and Knoll, DA and Dong, Han and Ravishankar, Mahesh and Sathre, Paul and Sullivan, Michael and Taitano, William},
  booktitle={Distributed Computing and Applications to Business, Engineering \& Science (DCABES), 2012 11th International Symposium on},
  pages={43--47},
  year={2012},
  organization={IEEE}
}

@phdthesis{nelson2009monte,
  title={Monte carlo methods for neutron transport on graphics processing units using CUDA},
  author={Nelson, Adam Gregory},
  year={2009},
  school={The Pennsylvania State University}
}

@article{kirschenmann2011parallel,
  title={Parallel $SP_N$ on Multi-Core CPUS and Many-Core GPUS},
  author={Kirschenmann, Wilfried and Plagne, Laurent and Pon{\c{c}}ot, Ang{\'e}lique and Vialle, St{\'e}phane},
  journal={Transport Theory and Statistical Physics},
  volume={39},
  number={2-4},
  pages={255--281},
  year={2011},
  publisher={Taylor \& Francis}
}

@article{talamo2013numerical,
  title={Numerical Solution Of The Time Dependent Neutron Transport Equation By The Method Of The Characteristics},
  author={Talamo, Alberto},
  journal={Journal of Computational Physics},
  year={2013},
  publisher={Elsevier}
}

@phdthesis{zhangzhizhu,
  title={三维特征线方法的并行与加速方法的研究},
  author={张知竹},
  year={2013},
  school={北京: 清华大学工程物理系},
  lang="zh"
}

@inproceedings{baker2012high,
  title={High performance radiation transport simulations: preparing for Titan},
  author={Baker, C and Davidson, G and Evans, TM and Hamilton, S and Jarrell, J and Joubert, W},
  booktitle={High Performance Computing, Networking, Storage and Analysis (SC), 2012 International Conference for IEEE},
  pages={1--10},
  year={2012},
}

@article{gong2011accelerating,
  title={Accelerating the Sweep3D for a graphic processor unit},
  author={Gong, Chunye and Liu, Jie and Chen, Haitao and Xie, Jing and Gong, Zhenghu},
  journal={J Inform Process Syst},
  volume={7},
  number={1},
  pages={63--74},
  year={2011}
}

@article{gong2012particle,
  title={Particle transport with unstructured grid on GPU},
  author={Gong, Chunye and Liu, Jie and Huang, Haowei and Gong, Zhenghu},
  journal={Computer Physics Communications},
  volume={183},
  number={3},
  pages={588--593},
  year={2012},
  publisher={Elsevier}
}

@article{so1998mapping,
  title={Mapping conjugate gradient algorithms for neutron diffusion applications onto SIMD, MIMD, and mixed-mode machines},
  author={So, John John E and Downar, Thomas J and Janardhan, Raghunandan and Siegel, Howard Jay},
  journal={International journal of parallel programming},
  volume={26},
  number={2},
  pages={183--207},
  year={1998},
  publisher={Springer}
}

@article{suetomi1989conjugate,
  title={Conjugate Gradient Like Methods and Their Application to Fixed Source Neutron Diffusion Problems},
  author={Suetomi, Eiichi and Sekimoto, Hiroshi},
  journal={Journal of Nuclear Science and Technology},
  volume={26},
  number={10},
  pages={899--912},
  year={1989},
  publisher={Taylor \& Francis}
}

@article{wang2009three,
  title={Three-dimensional h-adaptivity for the multigroup neutron diffusion equations},
  author={Wang, Yaqi and Bangerth, Wolfgang and Ragusa, Jean},
  journal={Progress in Nuclear Energy},
  volume={51},
  number={3},
  pages={543--555},
  year={2009},
  publisher={Elsevier}
}

@article{ginestar2001multilevel,
  title={Multilevel methods to solve the neutron diffusion equation},
  author={Ginestar, D and Mar{\i}n, J and Verd{\'u}, G},
  journal={Applied Mathematical Modelling},
  volume={25},
  number={6},
  pages={463--477},
  year={2001},
  publisher={Elsevier}
}

@article{bridson2001multiresolution,
  title={Multiresolution approximate inverse preconditioners},
  author={Bridson, Robert and Tang, Wei-Pai},
  journal={SIAM Journal on Scientific Computing},
  volume={23},
  number={2},
  pages={463--479},
  year={2001},
  publisher={SIAM}
}

@article{azmy1997multiprocessing,
  title={Multiprocessing for neutron diffusion and deterministic transport methods},
  author={Azmy, Yousry Y},
  journal={Progress in Nuclear Energy},
  volume={31},
  number={3},
  pages={317--368},
  year={1997},
  publisher={Elsevier}
}


@inproceedings{xuqi_gpu_old,
	title = {GPU-Accelerated 3D Neutron Diffusion Code Based on Finite Difference Method},
	author = {XU Qi and YU Ganglin and WANG Kan},
	year = {2012},
	booktitle={PHYSOR},
}

@inproceedings{Martin2013,
  title={Implementing and Tuning Irregular Programs on GPUs},
  author={Martin Burtscher and Rupesh Nasre},
  booktitle={GTC},
  year={2013}
}

@inproceedings{Jiri2013,
  title={Introduction to CUDA-aware MPI and NVIDIA GPUDirect},
  author={Jiri Kraus},
  booktitle={GTC},
  year={2013}
}

@inproceedings{WillGTC2013,
  title={Languages, Libraries and Development Tools for GPU Computing},
  author={Will Ramey},
  booktitle={GTC},
  year={2013}
}

@inproceedings{KyleGTC2013,
  title={CULA Sparse: A Robust Library for Iterative and Direct Methods},
  author={Kyle Spagnoli},
  booktitle={GTC},
  year={2013}
}

@inproceedings{LiWenChangGTC2013,
  title={A Scalable, Numerically Stable, High-Performance Tridiagonal Solver for GPUs},
  author={Li-Wen Chang and Wen-mei Hwu},
  booktitle={GTC},
  year={2013}
}

@inproceedings{StefanGTC2013,
  title={Distributing Computation to Large GPU Clusters},
  author={Stefan Radig},
  booktitle={GTC},
  year={2013}
}

@inproceedings{AdeGTC2013,
  title={An Overview of Accelerated Parallelism with C++ AMP},
  author={Ade Miller},
  booktitle={GTC},
  year={2013}
}

@inproceedings{LeviGTC2013,
  title={Multi-GPU Programming},
  author={Levi Barnes},
  booktitle={GTC},
  year={2013}
}

@inproceedings{MarkGTC2013,
  title={Future Directions for CUDA},
  author={Mark Harris},
  booktitle={GTC},
  year={2013}
}

@phdthesis{gongyechun,
  title={面向异构体系结构的粒子输运并行算法研究},
  author={龚春叶},
  year={2011},
  school={长沙: 国防科学技术大学计算机系},
  lang="zh"
}

@article{xuqians,
  title={A GPU-Based Local Acceleration Strategy for Monte Carlo Neutron Transport},
  author={XU Qi and YU Ganglin and WU Xiaofei and WANG Kan},
  journal={ANS Transactions},
  volume={107},
  pages={526},
  year={2012}
}

@article{suetomi1991conjugate,
  title={Conjugate gradient like methods and their application to eigenvalue problems for neutron diffusion equation},
  author={Suetomi, E and Sekimoto, H},
  journal={Annals of Nuclear Energy},
  volume={18},
  number={4},
  pages={205--227},
  year={1991},
  publisher={Elsevier}
}

@article{gupta_krylov_2004,
	title = {Krylov sub-space methods for K-eigenvalue problem in 3-D neutron transport},
	volume = {31},
	number = {18},
	journal = {Annals of Nuclear Energy},
	author = {Gupta, Anurag and Modak, {R.S.}},
	month = dec,
	year = {2004},
	pages = {2113--2125}
}

@article{alcouffe1977diffusion,
  title={Diffusion synthetic acceleration methods for the diamond-differenced discrete-ordinates equations},
  author={Alcouffe, Raymond E},
  journal={Nucl. Sci. Eng.;(United States)},
  volume={64},
  number={2},
  year={1977},
  publisher={Los Alamos Scientific Lab., NM}
}

@book{huangzuqia2007,
  title={核反应堆动力学基础},
  author={黄祖洽},
  year={2007},
  publisher={北京大学出版社}
}

@article{dingxiaochuan2011,
  title={基于 ADI 的一种堆芯物理实时仿真算法},
  author={丁小川 and 路海晋 and 赵强},
  journal={核动力工程},
  volume={32},
  number={3},
  pages={130--133},
  year={2011},
  publisher={万方数据资源系统}
}

@article{qikelin1996,
  title={堆芯中子动力学实时仿真模型},
  author={齐克林 and 单福昌},
  journal={核动力工程},
  volume={17},
  number={5},
  pages={416--419},
  year={1996}
}

@article{songyingming2010,
  title={高温气冷堆中子时空动力学实时仿真计算},
  author={宋英明 and 马远乐 and 周志伟},
  journal={原子能科学技术},
  volume={44},
  number={002},
  pages={188--192},
  year={2010}
}

@book{taylor2007development,
  title={The Development of a Three-dimensional Nuclear Reactor Kinetics Methodology Based on the Method of Characteristics},
  author={Taylor, J.B. and The Pennsylvania State University},
  isbn={9780549437154},
  url={http://books.google.com.hk/books?id=lraoL4IU3csC},
  year={2007},
  publisher={The Pennsylvania State University}
}

@inproceedings{horton2011class,
  title={A class of hybrid lapack algorithms for multicore and gpu architectures},
  author={Horton, Mitch and Tomov, Stanimire and Dongarra, Jack},
  booktitle={Application Accelerators in High-Performance Computing (SAAHPC), 2011 Symposium on},
  pages={150--158},
  year={2011},
  organization={IEEE}
}













@book{cheney2007numerical,
  title={Numerical Mathematics and Computing},
  author={Cheney, E.W. and Kincaid, D.R.},
  isbn={9780495114758},
  lccn={2007922553},
  url={http://books.google.com.hk/books?id=ZUfVZELlrMEC},
  year={2007},
  publisher={Brooks/Cole}
}

@book{bell1970nuclear,
  title={Nuclear reactor theory},
  author={Bell, G.I. and Glasstone, S.},
  lccn={73122674},
  url={http://books.google.com.hk/books?id=RNQmAQAAMAAJ},
  year={1970},
  publisher={Van Nostrand Reinhold Co.}
}

@book{trottenberg2001multigrid,
  title={Multigrid},
  author={Trottenberg, U. and Oosterlee, C.W. and Sch{\"u}ller, A.},
  year={2001},
  publisher={Academic Pr}
}

@book{briggs2000multigrid,
  title={A multigrid tutorial},
  author={Briggs, W.L. and McCormick, S.F. and others},
  volume={72},
  year={2000},
  publisher={Society for Industrial Mathematics}
}

@misc{HDF5Wiki,
title = {Hierarchical Data Format},
date = {2013.03.02},
url = {http://en.wikipedia.org/wiki/HDF5},
}

@misc{LuaJITHomepage,
title = {LuaJIT},
date = {2013.03.02},
url = {http://luajit.org/luajit.html},
}

@misc{llvm-amp-opencl-prototype,
title = {[LLVMdev] C++AMP -> OpenCL (NVPTX) prototype},
date = {2013.04.15},
url = {http://lists.cs.uiuc.edu/pipermail/llvmdev/2013-April/061151.html},
}

@article{fleming1986not,
  title={How not to lie with statistics: the correct way to summarize benchmark results},
  author={Fleming, Philip J and Wallace, John J},
  journal={Communications of the ACM},
  volume={29},
  number={3},
  pages={218--221},
  year={1986},
  publisher={ACM}
}

@misc{cudadoc-dynamicparallelism,
title = {CUDA Dynamic Parallelism Programming Guide},
date = {2013.03.29},
url = {http://docs.nvidia.com/cuda/cuda-dynamic-parallelism/index.html},
}

@misc{cudadoc-cprogrammingguide,
title = {CUDA C Programming Guide},
date = {2013.03.29},
url = {http://docs.nvidia.com/cuda/cuda-c-programming-guide/index.html},
}

@misc{cudadoc-KeplerGK110ArchitectureWhitepaper,
title = {NVIDIA Kepler GK110 Architecture Whitepaper},
date = {2013.03.29},
url = {http://www.nvidia.com/content/PDF/kepler/NVIDIA-Kepler-GK110-Architecture-Whitepaper.pdf},
}

@misc{opencl-conformant-products,
title = {OpenCL Conformant Products},
date = {2013.03.30},
url = {http://www.khronos.org/conformance/adopters/conformant-products#topencl},
}

@misc{cppamp-overview,
title = {C++ AMP Overview},
date = {2013.03.30},
url = {http://msdn.microsoft.com/en-us/library/vstudio/hh265136.aspx},
}

@misc{cppamp,
title = {C++ AMP: Language and Programming Model},
date = {2013.03.30},
url = {http://download.microsoft.com/download/4/0/E/40EA02D8-23A7-4BD2-AD3A-0BFFFB640F28/CppAMPLanguageAndProgrammingModel.pdf},
}

@misc{cppamp-opencl,
title = {Shevlin Park: Implementing C++ AMP with Clang/LLVMand OpenCL},
date = {2013.03.30},
url = {http://llvm.org/devmtg/2012-11/Sharlet-ShevlinPark.pdf},
}

@misc{opencl,
title = {Khronos OpenCL API Registry},
date = {2013.03.30},
url = {http://www.khronos.org/registry/cl/},
}

@inproceedings{gaster2013opencl,
  title={OpenCL C++},
  author={Gaster, Benedict R and Howes, Lee},
  booktitle={the 6th Workshop on General Purpose Processor Using Graphics Processing Units},
  pages={86--95},
  year={2013},
  organization={ACM}
}
@article{reyes2012comparative,
  title={A Comparative Study of OpenACC Implementations},
  author={Reyes, Ruym{\'a}n and L{\'o}pez, Iv{\'a}n and Fumero, Juan J and de Sande, Francisco},
  journal={XXIII Jornadas de Paralelismo},
  year={2012}
}

@incollection{beyer2011openmp,
  title={OpenMP for accelerators},
  author={Beyer, James C and Stotzer, Eric J and Hart, Alistair and de Supinski, Bronis R},
  booktitle={OpenMP in the Petascale Era},
  pages={108--121},
  year={2011},
  publisher={Springer}
}

@book{golub2012matrix,
  title={Matrix Computations},
  author={Golub, G.H. and Van Loan, C.F.},
  isbn={9781421408590},
  url={http://books.google.com.hk/books?id=5U-l8U3P-VUC},
  year={2012},
  publisher={Johns Hopkins University Press}
}

@book{press2007numericalrecipes,
  title={Numerical recipes 3rd edition: The art of scientific computing},
  author={Press, William H and Teukolsky, Saul A and Vetterling, William T and Flannery, Brian P},
  year={2007},
  publisher={Cambridge university press}
}

@article{van1992bicgstab,
  title={Bi-CGSTAB: A fast and smoothly converging variant of Bi-CG for the solution of nonsymmetric linear systems},
  author={Van der Vorst, Henk A},
  journal={SIAM Journal on scientific and Statistical Computing},
  volume={13},
  number={2},
  pages={631--644},
  year={1992},
  publisher={SIAM}
}

@book{trottenberg2000multigrid,
  title={Multigrid},
  author={Trottenberg, Ulrich and Oosterlee, Cornelius W and Schuller, Anton},
  year={2000},
  publisher={Academic press}
}

@article{saad1986gmres,
  title={GMRES: A generalized minimal residual algorithm for solving nonsymmetric linear systems},
  author={Saad, Youcef and Schultz, Martin H},
  journal={SIAM Journal on scientific and statistical computing},
  volume={7},
  number={3},
  pages={856--869},
  year={1986},
  publisher={SIAM}
}

@book{saad2003iterative,
  title={Iterative methods for sparse linear systems},
  author={Saad, Yousef},
  year={2003},
  publisher={Society for Industrial and Applied Mathematics}
}

@article{grote1997parallel,
  title={Parallel preconditioning with sparse approximate inverses},
  author={Grote, Marcus J and Huckle, Thomas},
  journal={SIAM Journal on Scientific Computing},
  volume={18},
  number={3},
  pages={838--853},
  year={1997},
  publisher={SIAM}
}

@techreport{bell2008spmv,
  title={Efficient sparse matrix-vector multiplication on CUDA},
  author={Bell, Nathan and Garland, Michael},
  year={2008},
  institution={NVIDIA Technical Report NVR-2008-004, NVIDIA Corporation}
}

@book{grimes1979itpack,
  title={ITPACK 2.0 user's guide},
  author={Grimes, Roger G and Kincaid, David R and Young, David M},
  year={1979},
  publisher={Center for Numerical Analysis, The University of Texas at Austin}
}

@article{baskaran2008optimizing,
  title={Optimizing sparse matrix-vector multiplication on GPUs using compile-time and run-time strategies},
  author={Baskaran, Muthu Manikandan and Bordawekar, Rajesh},
  journal={IBM Reserach Report, RC24704 (W0812-047)},
  year={2008}
}

@article{center1977benchmark,
  title={Benchmark Problem Book, Report ANL-7416, Suppl. 2},
  author={Center, Argonne Code},
  journal={Argonne National Laboratory, Argonne, IL},
  year={1977}
}

@techreport{hageman1969comparison,
  title={Comparison of Alternating-Direction Time Differencing Methods with other Implicit Methods for the Solution of the Neutron Group-Diffusion Equations},
  author={Hageman, LA and Yasinsky, JB},
  year={1969},
  institution={Bettis Atomic Power Lab., West Mifflin, Pa.}
}

@phdthesis{gehin1992quasi,
  title={A quasi-static polynomial nodal method for nuclear reactor analysis},
  author={Gehin, Jess Charles},
  year={1992},
  school={Massachusetts Institute of Technology}
}

@article{langenbuch1977coarse,
  title={Coarse-mesh flux-expansion method for the analysis of space--time effects in large light water reactor cores},
  author={Langenbuch, S and Maurer, W and Werner, W},
  journal={Nucl. Sci. Eng.},
  volume={63},
  number={4},
  year={1977},
  publisher={Technische Universitaet Muenchen, Garching, Ger.}
}

@phdthesis{zhaowenbo,
  title={瞬态节块格林函数方法及其与热工-水力耦合研究},
  author={赵文博},
  year={2012},
  school={北京: 清华大学工程物理系},
  lang="zh"
}

@article{sutton1996diffusion,
  title={Diffusion theory methods for spatial kinetics calculations},
  author={Sutton, TM and Aviles, BN},
  journal={Progress in Nuclear Energy},
  volume={30},
  number={2},
  pages={119--182},
  year={1996},
  publisher={Elsevier}
}

@article{zimin1998nodal,
  title={Nodal neutron kinetics model based on nonlinear iteration procedure for LWR analysis},
  author={Zimin, Vyacheslav G and Ninokata, Hisashi},
  journal={Annals of Nuclear Energy},
  volume={25},
  number={8},
  pages={507--528},
  year={1998},
  publisher={Elsevier}
}


@phdthesis{liaochengkui,
  title={三维节块中子动力学方程组的数值解法及物理与热工-水力耦合瞬态过程的数值计算研究},
  author={廖承奎},
  year={2002},
  school={西安: 西安交通大学},
  lang="zh"
}

@article{aviles1993development,
  title={Development of a variable time-step transient NEW code: SPANDEX},
  author={Aviles, BN},
  journal={Transactions of the American Nuclear Society},
  volume={68},
  year={1993}
}

@phdthesis{smith1979analytic,
  title={An analytic nodal method for solving the two-group, multidimensional, static and transient neutron diffusion equations},
  author={Smith, Kord Sterling},
  year={1979},
  school={Massachusetts Institute of Technology}
}

@techreport{bandini1990three,
  title={A three-dimensional transient neutronics routine for the TRAC-PF1 reactor thermal hydraulic computer code},
  author={Bandini, Bernard Ronald},
  year={1990},
  institution={Los Alamos Nat. Lab.}
}

@book{xiezhongsheng,
  title={核反应堆物理数值计算},
  author={谢仲生},
  year={1997},
  publisher={原子能出版社}
}